Subject: Re: bug#71822: Feature request: fullwidth to halfwidth

From: Dan Jacobson <[email-masked]>
Date: Mon, 01 Jul 2024 17:58:26 +0800

All I am ever concerned with is just ASCII.

All I know is if it hits a Chinese character, it should just leave it 
untouched, no matter if converting to or converting from.

On 2024-07-01 10:13, Stefan Kangas wrote:
> Dan Jacobson <[email-masked]> writes:
> 
>> Indeed,
>> japanese-hankaku-region
>> japanese-zenkaku-region
>> work. So maybe they should
>> be available as
>> halfwidth-woed
>> halfwidth-region
>> fullwidth-word
>> fullwidth-region etc.
>> in emacs -Q.
> 
> Do they work for the full set of Chinese characters?
> 
> I'm asking because Kazuhiro Ito <[email-masked]> writes:
> 
>> [...] these functions don't support all characters because they are
>> for traditional Japanese character set.